Bug 705958 - [abrt] anjuta-3.0.0.0-2.fc15: sdb_model_iter_is_valid: Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
[abrt] anjuta-3.0.0.0-2.fc15: sdb_model_iter_is_valid: Process /usr/bin/anjut...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: anjuta (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
abrt_hash:572f04343fd439b5e001e3b0de1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-18 20:44 EDT by Luis Fernando Restrepo
Modified: 2013-04-30 18:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 15:26:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: maps (50.26 KB, text/plain)
2011-05-18 20:44 EDT, Luis Fernando Restrepo
no flags Details
File: backtrace (39.39 KB, text/plain)
2011-05-18 20:44 EDT, Luis Fernando Restrepo
no flags Details

  None (edit)
Description Luis Fernando Restrepo 2011-05-18 20:44:45 EDT
abrt version: 2.0.1
architecture:   x86_64
cmdline:        anjuta
comment:        It happens pretty often, actually this error, whatever it is, renders the application sort of useless. Almost every single operation ends up like this, I'm starting to believe that the problem is my laptop... I think this bug has been reported already, but one of the comments says it is no longer a problem, which is not consistent with my experience here. I do remeber the first time this [...] thing happened I was working on a python project, after that it became more and more frequent, right now the application starts normally and crashes when I try to do anything.
component:      anjuta
crash_function: sdb_model_iter_is_valid
executable:     /usr/bin/anjuta
kernel:         2.6.38.6-26.rc1.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        anjuta-3.0.0.0-2.fc15
rating:         4
reason:         Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
time:           Wed May 18 19:33:37 2011
uid:            500
username:       mjoelnir

backtrace:      Text file, 40331 bytes
maps:           Text file, 51462 bytes

build_ids:
:c7ae3dbcc1c18e575f00d0b8bbe315128b107aab
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:51edad5c443f5f3d4c1cba4c1a4950a746777dab
:b340ee0096bad0f16a4fba39de115623709208d6
:7ac622c687dbe2bec8e0b6fa93f7e940cfb6be95
:89017ab0b75e533e4294f74ee8f7db3daceea536
:f65baade131f67f424c4167cb2f046cb63a96c01
:f94a1f5a066745c33954dfb7bc5faa90c8bcbbb8
:9cd020ec2107c08febe2c8fcabd158212c207854
:0a03e2471dfc65ce2472e1e0dbfd1dc36b8d8c01
:cb43fcb4d0959721fd4cdabd7080b8a89ce8c90d
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:b211ccd123d6bdd703844842a4ab33fce4b72909
:21ad5b8ca30ad4dbb2190cfd19b03c69958ad013
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:f9a15f1cb853aa8ed2123815c88b2793f6de60b1
:aaf62304b0fc10611d35b4f56005479d4c58868d
:1daa755342d69ab3cfb6f2d2925a1544bf455c49
:cdd87cfe38115dcd04c1503689de2a4f5913d6ef
:844ddbe830d89330e3182b5d7bd37b8976cc1951
:d83f52ed9dfe5d1f2914404c798e6b2579b15c40
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:bb12133ef3ea4be2432983db3514ec4720f0487c
:861de73ed993a0fd1725ade3366d42d1c971899e
:cdced46c93ec29183fc6e198f4bb065e90f46345
:8767e8b82f7f0964cbb7f7745951d88d08c8faff
:91689252818532ec13597b6528d38be93b2706c4
:f6320d3a9d2dccb9d48d2bf7e87b335f336e4123
:e735e5cd6423af24f26200f853408dfc063aeea2
:c08ee75747f49663df26be3e321cb24fbf70a426
:2b5811161164063b8e2add31a48c92af833e077c
:2cffad89cb92160c1c690bd8aef7a618eb332335
:da83301ba8f0081cbac9000f3fb1f63b77e064a7
:8ba8981c8bf1d59318b4c33dd6dfc9279199f740
:d9234d5760a56ad442715264dbd701ebbce72ae3
:ef1fedee31b5c31a995d7486a554ea660d34a617
:e10b92bc851cfeb7fae30227813f5dc4aeda7d17
:478fc69b04b30680274d46d5139c4125a5a0a42d
:725c03f1d1fa9801200da9f89935244f5dd4838d
:ee2e9edde7fe91da3975e2fd2327293641f5b71b
:6d29ec444f6caf685125ccdebb7b87eb161c1e68
:a8891420910aaf776e8bed4280cfa32dfe4243c7
:189c7475c0490584f314acd7377d00adc0fc2b1a
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:475ee088755895afc66a8ce42a95329f19656eb8
:48aea888319e1848137073c9cbde54a4c2a731c9
:b2907874ef650e3f10858ef2c96afe11818a2f33
:a42ac1d90bf7ea4aac6ff80e4d390055146e1889
:1ba57a696637c1e23edecbd851a292f85214b29c
:a7158bee1dfaecfbd81d16bc6b31b082b0d5244a
:e9fb7221d2cf5954b3c29b250f53e6e7f3552b2f
:a90919a815d063183fd960f624ab00d68c29198b
:415dd94df0672c555dd4b2a4ef9dbf530694c82c
:59b86d6d4392861f75058b20a874760a6bae285f
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:24af8cb08eb252badc2ea275480b98c3e6a0e280
:88f211dbe60ac67eab4e68c46a423e6d9e7c857b
:add7bec06c4f50a1ced54e2f8bb36883620149e1
:886e076a93ae3bc92fb15c6e575d3ed17259d687
:1f9c8839a8cd2a3febc8808e1b378cef08d8af29
:34d6402b2aa8eb7829182f993d3d1d21808e59ca
:a7502128c953612aec7f3a271065a5b61456f562
:ffa3ed59431c5d0e6523cf292b6ba29663c51409
:c168a2d3a0d3a8dd70fc203f2f1202e840b3ed85
:0ba387de3cd9e46c43bef81e2b26bd8d4eea042d
:161d5a443b9a54d9a478d1094c1503f13be98948
:1c6a95451ee19617be5abea3d121f0226d21ddda
:13ff10a075f084abf260b9dd96618c1037ba3d75
:5f64b5d296b12f53cd44f47c8c2cd2f8202f9dfe
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:4febc5c6b868f5d872f0a48448d14453c2a2b9ff
:46caf50b7b8405049cc76b9d88092acce249ec89
:585e18f56063dab8934660820f0c63765c6c1a1f
:d64a5ceef36df5fe4c180d195c189b40336b7f0f
:0911ea7c180d733724f89037b8e8a34e64024aec
:544eb865267266a3a113846a945482a0040a8134
:e5f626726497a81807681ed0088dbce6d6a1f17b
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:4c842320387ff7f6f91b7842b223c16518be909f
:61607ff6cf0f329321eb54ead7ef8e92fb8d9097
:5f3ccb105e42993df1c28fe5c198602b0cf5c60a
:bdef6ec02819b35976889c12a8adabca9b033a7a
:9223ada4c9f048fa9398a9a7856d367f43a1baf6
:6e43589a53ede420f7bee4ce631efc5414e6752e
:98da817631c63bb152c3a19c07c8574620bba47d
:dbb3ab359607f07fa6ef8127b4ea899e29391b96
:d999bbe0dad2e867e9acd0f50ff27634f40019ae
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:f872a95df6cd2715e49ca7e5da797fe556276cfd
:7487d25a2d6d4092226e95a0e93570943e9da84c
:520b4fb4a57654e299082c3b7e1f3e4498342533
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:9154ac85913d0d23d3aff9e09cc16432b606100b
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:b3900bee00b584ef0bfe2adc2f9b9aed93870bc0
:4e07b77adb145cc6404542708f22dc48ded94731
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:48b9e02d2199527bf0b51390ce501d804d2e447b
:018b47510edca73b3c78188079f67ce3cfe41331
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:b092a17ca64c516b58e25ed4656f0e4b809c2fe6
:fc4ea781fa38eda7d7ed0b1ff2099ab5a1709ebb
:58bbcb83928c46de306c3e151135ebe178610cf5
:2c5b60b2c0c44e40c45b22e8ea71a8836fbe9344
:e1818291040433de96fe06cfb1db3776bdbbf88a
:c93d6c5d6578f7958b7f9a59ab710606d440d779
:b24bdb043f079aeefd23fc7535e9d42f1e995bf4
:3b4e74185daae5c573056df66b5807908029eac8
:4953d1f613914126bccceb3cb96386647ffba9df
:13110e8b350c1a3bd2097f130b9d1cbbc50931a0
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:52cc86b375a6664394fa2ad1579fca08257fcab6
:2c35820baaea8571d8a8dc977f23cc7f629ddcb4
:f952662bc1e468db5be0d68ccd8e107424d3d4f1
:7e2907a76435b3ab5bb8cf3824256e105b6a6863
:07a93f999dfdec35281ea61f1e56a47ef1229765
:ddaccb07249c19d72544053590a31401e305a762
:e567a4b498aa9dfc484575e666a17925f0944318
:1406558950ff100eb0320a325b3ea7961ba1a775
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:a16b0670d7225713927fe76b775bdc157c105b51
:f3873a9c82420f843bb4db031b651ad5eb1c1510
:1f54c802bf8cdee01db7a9ba1900aeb8e3b7db52
:5e69e657834bfe0cb7de1e9c8d3aec4b87fd0df3
:cb67ad2bd93463838e6a4dda830e702426cc29c3

dsos:
:/lib64/libkeyutils-1.2.so keyutils-libs-1.2-7.fc15.x86_64 (Fedora Project) 1302298344
:/lib64/libgmodule-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1303784467
:/usr/lib64/libmodman.so.1.0.0 libmodman-2.0.1-2.fc15.x86_64 (Fedora Project) 1302298355
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-1.fc15.x86_64 (Fedora Project) 1305158499
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1303784621
:/usr/lib64/libsvn_diff-1.so.0.0.0 subversion-libs-1.6.16-1.fc15.x86_64 (Fedora Project) 1303788727
:/usr/share/locale/fr/LC_MESSAGES/atk10.mo atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1303784469
:/lib64/libutil-2.13.90.so glibc-2.13.90-11.x86_64 (Fedora Project) 1304819449
:/usr/share/fonts/google-droid/DroidSansFallback.ttf google-droid-sans-fonts-20100409-2.fc15.noarch (Fedora Project) 1303792687
:/usr/lib64/gtk-3.0/modules/libgail.so gtk3-3.0.9-1.fc15.x86_64 (Fedora Project) 1303784624
:/usr/lib64/libsvn_ra_neon-1.so.0.0.0 subversion-libs-1.6.16-1.fc15.x86_64 (Fedora Project) 1303788727
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.32.1-3.fc15.x86_64 (Fedora Project) 1302298374
:/usr/lib64/libneon.so.27.2.5 neon-0.29.5-2.fc15.x86_64 (Fedora Project) 1302298369
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1302298342
:/lib64/libgcc_s-4.6.0-20110509.so.1 libgcc-4.6.0-7.fc15.x86_64 (Fedora Project) 1305079953
:/usr/lib64/anjuta/libanjuta-subversion.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/lib64/libgthread-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1303784467
:/usr/lib64/libatspi.so.0.0.1 at-spi2-core-2.0.1-1.fc15.x86_64 (Fedora Project) 1303968022
:/usr/lib64/libsvn_ra-1.so.0.0.0 subversion-libs-1.6.16-1.fc15.x86_64 (Fedora Project) 1303788727
:/usr/lib64/libsvn_delta-1.so.0.0.0 subversion-libs-1.6.16-1.fc15.x86_64 (Fedora Project) 1303788727
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1304982339
:/usr/lib64/anjuta/libanjuta-loader.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1302298340
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.1-2.fc15.x86_64 (Fedora Project) 1304982328
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1302298342
:/usr/lib64/libgdk-3.so.0.0.9 gtk3-3.0.9-1.fc15.x86_64 (Fedora Project) 1303784624
:/usr/lib/locale/locale-archive glibc-common-2.13.90-11.x86_64 (Fedora Project) 1304819443
:/usr/lib64/libsvn_fs-1.so.0.0.0 subversion-libs-1.6.16-1.fc15.x86_64 (Fedora Project) 1303788727
:/usr/lib64/anjuta/libmk-project.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/lib64/libanjuta-3.so.0.0.0 anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.x86_64 (Fedora Project) 1302298347
:/usr/lib64/libgda-4.0.so.4.1.0 libgda-1:4.2.5-1.fc15.x86_64 (Fedora Project) 1303789907
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1302298343
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1302298342
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.x86_64 (Fedora Project) 1302298421
:/usr/lib64/libtasn1.so.3.1.9 libtasn1-2.7-2.fc15.x86_64 (Fedora Project) 1302298343
:/usr/share/locale/fr/LC_MESSAGES/libgda-4.0.mo libgda-1:4.2.5-1.fc15.x86_64 (Fedora Project) 1303789907
:/usr/lib64/anjuta/libfile-manager.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.1-2.fc15.x86_64 (Fedora Project) 1304982328
:/usr/share/fonts/dejavu/DejaVuLGCSansMono-Bold.ttf dejavu-lgc-sans-mono-fonts-2.33-1.fc15.noarch (Fedora Project) 1303786308
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1302298358
:/usr/lib64/libsvn_ra_svn-1.so.0.0.0 subversion-libs-1.6.16-1.fc15.x86_64 (Fedora Project) 1303788727
:/usr/lib64/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-3.fc15.x86_64 (Fedora Project) 1302298421
:/usr/lib64/libsvn_wc-1.so.0.0.0 subversion-libs-1.6.16-1.fc15.x86_64 (Fedora Project) 1303788727
:/usr/lib64/libsvn_fs_util-1.so.0.0.0 subversion-libs-1.6.16-1.fc15.x86_64 (Fedora Project) 1303788727
:/usr/lib64/anjuta/libanjuta-file-wizard.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/lib64/anjuta/liblanguage-manager.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/share/locale/fr/LC_MESSAGES/gtk30-properties.mo gtk3-devel-3.0.9-1.fc15.x86_64 (Fedora Project) 1304126992
:/usr/lib64/libsvn_fs_base-1.so.0.0.0 subversion-libs-1.6.16-1.fc15.x86_64 (Fedora Project) 1303788727
:/usr/lib64/libpng12.so.0.44.0 libpng-2:1.2.44-3.fc15.x86_64 (Fedora Project) 1302298340
:/usr/share/locale/fr/LC_MESSAGES/gtk30.mo gtk3-3.0.9-1.fc15.x86_64 (Fedora Project) 1303784624
:/usr/share/locale/fr/LC_MESSAGES/gdl-3.mo libgdl-1:3.0.0-1.fc15.x86_64 (Fedora Project) 1303789910
:/usr/lib64/anjuta/libanjuta-build-basic-autotools.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/lib64/libcanberra-gtk3.so.0.1.8 libcanberra-gtk3-0.28-3.fc15.x86_64 (Fedora Project) 1302298421
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1304982331
:/usr/lib64/libgailutil-3.so.0.0.0 gtk3-3.0.9-1.fc15.x86_64 (Fedora Project) 1303784624
:/lib64/ld-2.13.90.so glibc-2.13.90-11.x86_64 (Fedora Project) 1304819449
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1302298342
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1303784612
:/usr/share/locale/fr/LC_MESSAGES/libc.mo glibc-common-2.13.90-11.x86_64 (Fedora Project) 1304819443
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1302298341
:/usr/share/locale/fr/LC_MESSAGES/anjuta.mo anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/lib64/libgcrypt.so.11.6.0 libgcrypt-1.4.6-1.fc15.x86_64 (Fedora Project) 1302298341
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1302298341
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1303784612
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1303784484
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1302298342
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1302298342
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.5-3.fc15.x86_64 (Fedora Project) 1302298341
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-16.fc15.x86_64 (Fedora Project) 1302298342
:/usr/lib64/libsvn_subr-1.so.0.0.0 subversion-libs-1.6.16-1.fc15.x86_64 (Fedora Project) 1303788727
:/usr/lib64/libgtksourceview-3.0.so.0.0.0 gtksourceview3-3.0.1-1.fc15.x86_64 (Fedora Project) 1303968031
:/lib64/libc-2.13.90.so glibc-2.13.90-11.x86_64 (Fedora Project) 1304819449
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1302298342
:/usr/share/locale/fr/LC_MESSAGES/glib20.mo glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1303784467
:/usr/lib64/libaprutil-1.so.0.3.11 apr-util-1.3.11-2.fc15.x86_64 (Fedora Project) 1305391360
:/usr/lib64/anjuta/libanjuta-run-program.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/lib64/libgnutls.so.26.16.14 gnutls-2.10.5-1.fc15.x86_64 (Fedora Project) 1302298343
:/usr/lib64/anjuta/libdir-project.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/lib64/libgda-4.0/providers/libgda-sqlite.so libgda-sqlite-1:4.2.5-1.fc15.x86_64 (Fedora Project) 1303789908
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1302298342
:/usr/lib64/gconv/gconv-modules.cache glibc-2.13.90-11.x86_64 (Fedora Project) 1304819449
:/usr/lib64/libproxy.so.1.0.0 libproxy-0.4.7-0.1svn20110412.fc15.x86_64 (Fedora Project) 1304722466
:/lib64/libkrb5.so.3.3 krb5-libs-1.9-7.fc15.x86_64 (Fedora Project) 1303784483
:/lib64/libresolv-2.13.90.so glibc-2.13.90-11.x86_64 (Fedora Project) 1304819449
:/lib64/librt-2.13.90.so glibc-2.13.90-11.x86_64 (Fedora Project) 1304819449
:/lib64/libnss_files-2.13.90.so glibc-2.13.90-11.x86_64 (Fedora Project) 1304819449
:/usr/lib64/libapr-1.so.0.4.4 apr-1.4.4-2.fc15.x86_64 (Fedora Project) 1305158526
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1302298342
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1302298340
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.7.5-1.x86_64 (Fedora Project) 1305080022
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-4.fc15.x86_64 (Fedora Project) 1304471794
:/usr/lib64/anjuta/libanjuta-document-manager.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9-7.fc15.x86_64 (Fedora Project) 1303784483
:/lib64/libgpg-error.so.0.7.0 libgpg-error-1.9-2.fc15.x86_64 (Fedora Project) 1302298341
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1303784621
:/usr/lib64/libgtk-3.so.0.0.9 gtk3-3.0.9-1.fc15.x86_64 (Fedora Project) 1303784624
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1302298342
:/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.0.1-1.fc15.x86_64 (Fedora Project) 1303865670
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1302298342
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-7.fc15.x86_64 (Fedora Project) 1305079954
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1302298342
:/usr/lib64/anjuta/libanjuta-starter.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/lib64/libsvn_repos-1.so.0.0.0 subversion-libs-1.6.16-1.fc15.x86_64 (Fedora Project) 1303788727
:/usr/lib64/libsvn_ra_local-1.so.0.0.0 subversion-libs-1.6.16-1.fc15.x86_64 (Fedora Project) 1303788727
:/usr/lib64/libpakchois.so.0.1.0 pakchois-0.4-4.x86_64 (Fedora Project) 1302298369
:/lib64/libgobject-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1303784467
:/usr/lib64/anjuta/libanjuta-project-wizard.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/lib64/gtk-3.0/modules/libpk-gtk-module.so PackageKit-gtk3-module-0.6.14-2.fc15.x86_64 (Fedora Project) 1304819575
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.2-1.fc15.x86_64 (Fedora Project) 1302298342
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.x86_64 (Fedora Project) 1302298340
:/usr/lib64/anjuta/libam-project.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/bin/anjuta anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9-7.fc15.x86_64 (Fedora Project) 1303784483
:/lib64/libm-2.13.90.so glibc-2.13.90-11.x86_64 (Fedora Project) 1304819449
:/usr/lib64/libsvn_client-1.so.0.0.0 subversion-libs-1.6.16-1.fc15.x86_64 (Fedora Project) 1303788727
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1302298341
:/lib64/libglib-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1303784467
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1302298343
:/usr/lib64/anjuta/libanjuta-message-view.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1302298341
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1303784620
:/usr/lib64/librsvg-2.so.2.32.1 librsvg2-2.32.1-3.fc15.x86_64 (Fedora Project) 1302298374
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1303784469
:/lib64/libcrypt-2.13.90.so glibc-2.13.90-11.x86_64 (Fedora Project) 1304819449
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-1.fc15.x86_64 (Fedora Project) 1304819460
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-1.fc15.x86_64 (Fedora Project) 1303784622
:/lib64/libgio-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1303784467
:/usr/lib64/libgdl-3.so.1.0.0 libgdl-1:3.0.0-1.fc15.x86_64 (Fedora Project) 1303789910
:/usr/lib64/anjuta/libanjuta-debug-manager.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1302298342
:/lib64/libpthread-2.13.90.so glibc-2.13.90-11.x86_64 (Fedora Project) 1304819449
:/lib64/libdl-2.13.90.so glibc-2.13.90-11.x86_64 (Fedora Project) 1304819449
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1302298342
:/usr/share/locale/fr/LC_MESSAGES/gdk-pixbuf.mo gdk-pixbuf2-2.23.3-1.fc15.x86_64 (Fedora Project) 1303784622
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9-7.fc15.x86_64 (Fedora Project) 1303784483
:/usr/lib64/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-3.fc15.x86_64 (Fedora Project) 1302298359
:/lib64/libdb-4.8.so db4-4.8.30-3.fc15.x86_64 (Fedora Project) 1302298341
:/usr/lib64/anjuta/libanjuta-gdb.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1303784621
:/usr/lib64/libsvn_fs_fs-1.so.0.0.0 subversion-libs-1.6.16-1.fc15.x86_64 (Fedora Project) 1303788727
:/usr/lib64/anjuta/libanjuta-symbol-db.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/lib64/anjuta/libanjuta-project-manager.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1303789915
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1302298359
:/usr/lib64/gtk-3.0/modules/libatk-bridge.so at-spi2-atk-2.0.1-1.fc15.x86_64 (Fedora Project) 1303968046

environ:
:XDG_SESSION_ID=1
:HOSTNAME=hvergelmir.unal.edu.co
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=6bdf5437f8477b81b1d58f1000000010-1305763252.9913-885162564
:GNOME_KEYRING_CONTROL=/tmp/keyring-hTCCf6
:IMSETTINGS_MODULE=none
:USER=mjoelnir
:USERNAME=mjoelnir
:MAIL=/var/spool/mail/mjoelnir
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/mjoelnir/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mjoelnir
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1600
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/mjoelnir
:SHLVL=1
:LOGNAME=mjoelnir
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-3ds3G2dVBY,guid=b4e198748e4ffccd06daec1a00000030
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mjoelnir
:DISPLAY=:0
:GTK_IM_MODULE=gtk-im-context-simple
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-mjoelnir-m2X6c8/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1608,unix/unix:/tmp/.ICE-unix/1608
:ORBIT_SOCKETDIR=/tmp/orbit-mjoelnir
:SSH_AUTH_SOCK=/tmp/keyring-hTCCf6/ssh
:GPG_AGENT_INFO=/tmp/keyring-hTCCf6/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1798-hvergelmir.unal.edu.co-anjuta-1_TIME1897700
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-anjuta.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2486

event_log:
:2011-05-18-19:44:15> Analyzing coredump 'coredump'
:2011-05-18-19:44:21  Les 128 fichiers debuginfo sont disponibles
:2011-05-18-19:44:28  Backtrace is generated and saved, 40331 bytes
Comment 1 Luis Fernando Restrepo 2011-05-18 20:44:49 EDT
Created attachment 499729 [details]
File: maps
Comment 2 Luis Fernando Restrepo 2011-05-18 20:44:52 EDT
Created attachment 499730 [details]
File: backtrace
Comment 3 Johannes Schmid 2011-05-19 02:48:16 EDT
The actual problem should be fixed in
http://git.gnome.org/browse/anjuta/commit/?h=gnome-3-0&id=774ae5b598b73154518d28542de686edb40de8e1

But actually gtk_tree_model_iter_n_children() accepts NULL as the gtk documentation says. We will have to fix it - thanks for reporting!
Comment 4 Johannes Schmid 2011-05-19 15:26:35 EDT
The rest should be fixed upstream, too:
http://git.gnome.org/browse/anjuta/commit/?id=6b4608b297f15ac0cbe8df5f426a931b1f128f89

If this is still a problem for you once 3.0.2 reaches Fedora, please reopen this bug!

Note You need to log in before you can comment on or make changes to this bug.